//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb1.h
//   
// PURPOSE:      Header file for VLINE subclass EuroCtrl project
//   
// COMMENTS:     
//   
// HISTORY:      920525AH Prehistory
//   
//****************************************************************************                    



#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------


PPROPINFO proplistVline_Vb1[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    &propinfoVlineLine3DStyle,
    PPROPINFO_STD_FORECOLOR,
    &Property_Vline_About,            
    &propinfoVlineLineStyle,
    &propinfoVlineLineWidth,
    &propinfoVlinehWnd,
    NULL
};


//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------
PEVENTINFO eventlistVline_Vb1[] =
{
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    NULL
};


//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------

MODEL modelVline_Vb1 =
{
    VB100_VERSION,               // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fChildrenOk,          // MODEL flags
    (PCTLPROC)VlineCtlProc,     // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    NULL,                 		// Default Window style
    sizeof(VLINE),              // cbCtlExtra for VLINE structure
    IDBMP_VLINE,                // Palette bitmap ID
    "EsHLine",		       		// Default control name
    "EsVline",		       		// Visual Basic class name
    NULL,                   	// Parent class name
    proplistVline_Vb1,          // Properties list
    eventlistVline_Vb1,         // Events list
	IPROP_VLINE_LINEWIDTH,		// default property in code window
	EVENT_VLINE_DRAGDROP,		// default event in code window
};

LPMODEL modellistVline_Vb1[] =
    {
    &modelVline_Vb1,
    NULL
    };

MODELINFO modelinfoVline_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistVline_Vb1		// MODEL list
    };


#endif  // RC_INVOKED
